(function( $ ) {
	'use strict';

	/**
	 * All of the code for  admin-facing JavaScript source.
	 */

	var $document = $( document ),
		$body = $( 'body' ),
		$theList = $( '#the-list' ),
		$searchItems = $( 'span.search-item' ),
		$theme = $( '.wp-solar-theme .theme-browser .theme' ),
		$disabledButtons = $( 'button.disabled.link' );

	$document.ready( function() {
		$theme.on( 'click', function( e ) {
			if ( ! e.target.classList.contains( 'link' ) ) {
				window.open( $(this).data( 'theme-link' ) );
				return false;
			}
		} );

		$disabledButtons.click( function() {
			$( this ).prop( 'disabled', true );
		} );

		if ( $searchItems.length ) {
			var ajaxCounter = 0,
				action = '';

			if ( $body.hasClass( 'wp-solar-theme' ) ) {
				action = 'wp_solar_get_theme';
			} else if ( $body.hasClass( 'wp-solar-plugin' ) ) {
				action = 'wp_solar_get_plugin';
			}

			$body.addClass( 'loading-content' );

			$searchItems.each( function( index, item ) {
				$.ajax( {
					url: wp_solar_settings.ajax_url,
					type: 'get',
					data: {
						action: action,
						index: index,
						id: $( item ).data( 'id' ),
						nonce: wp_solar_settings.ajax_nonce
					},
					success: function( response ) {
						if ( 0 === ajaxCounter ) {
							$theList.hide();
						}

						$theList.append( response.data );
					},
					complete: function() {
						ajaxCounter++;

						if ( ajaxCounter === $searchItems.length ) {
							var itemList = $theList.find( '> div' );

							itemList.sort( function( a, b ) {
								return $( a ).data( 'index' ) - $( b ).data( 'index' )
							} );

							$theList.html( itemList );

							$( '.tablenav.top' ).show();
							$theList.show();
							$( '.tablenav.bottom' ).show();
							$body.removeClass( 'loading-content' );
							$searchItems.remove();
						}

						$( 'button.disabled.link' ).prop( 'disabled', true );

						$( '.theme' ).click( function( e ) {
							if ( ! e.target.classList.contains( 'link' ) ) {
								window.open( $(this).data( 'theme-link' ) );
								return false;
							}
						} );
					}
				} );
			} );
		}
	} );
})( jQuery );
