<?php

/**
 * Display plugin error information.
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       https://wp.solar
 * @since      1.0.0
 *
 * @package    Wp_Solar
 * @subpackage Wp_Solar/admin/partials
 */

if ( $is_empty ) {
?>
<div class="no-plugin-results">
    <?php
        printf( '%s <a href="%s" target="parent">%s</a>.',
            esc_html__( 'No plugins found. Try a different search or', 'wp-solar' ),
            esc_url( 'http://wp.solar/request-resources/' ),
            esc_html__( 'submit your requests', 'wp-solar' )
        );
    ?>
</div>
<?php } else { ?>
<div class="inline error"><p><?php echo $res->get_error_message(); ?></p>
    <p class="hide-if-no-js"><button class="button try-again"><?php esc_html_e( 'Try Again', 'wp-solar' ); ?></button></p>
</div>
<?php } ?>
