<?php

/**
 * The plugin bootstrap file
 *
 * This file is read by WordPress to generate the plugin information in the plugin
 * admin area. This file also includes all of the dependencies used by the plugin,
 * registers the activation and deactivation functions, and defines a function
 * that starts the plugin.
 *
 * @link              https://wp.solar
 * @since             1.0.0
 * @package           Wp_Solar
 *
 * @wordpress-plugin
 * Plugin Name:       WP Solar
 * Plugin URI:        https://wp.solar
 * Description:       Yet another GPL licensed premium WordPress plugins & themes and templates kits Manager.
 * Version:           1.1.0
 * Author:            WP Solar
 * Author URI:        https://wp.solar
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain:       wp-solar
 * Domain Path:       /languages
 */

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

/**
 * Currently plugin version.
 */
define( 'WP_SOLAR_VERSION', '1.0.3' );

/**
 * The server URL.
 */
define( 'WP_SOLAR_SERVER_URL', 'https://wp.solar' );

/**
 * The server API Key.
 */
define( 'WP_SOLAR_API_KEY', 'c48621fd0d91b94e449d18662e3957fe' );

/**
 * The code that runs during plugin activation.
 * This action is documented in includes/class-wp-solar-activator.php
 */
function activate_wp_solar() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-wp-solar-activator.php';
	Wp_Solar_Activator::activate();
}

/**
 * The code that runs during plugin deactivation.
 * This action is documented in includes/class-wp-solar-deactivator.php
 */
function deactivate_wp_solar() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-wp-solar-deactivator.php';
	Wp_Solar_Deactivator::deactivate();
}

register_activation_hook( __FILE__, 'activate_wp_solar' );
register_deactivation_hook( __FILE__, 'deactivate_wp_solar' );

/**
 * The core plugin class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require plugin_dir_path( __FILE__ ) . 'includes/class-wp-solar.php';

/**
 * Begins execution of the plugin.
 *
 * Since everything within the plugin is registered via hooks,
 * then kicking off the plugin from this point in the file does
 * not affect the page life cycle.
 *
 * @since    1.0.0
 */
function run_wp_solar() {

	$plugin = new Wp_Solar();
	$plugin->run();

}
run_wp_solar();
